package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 招商引资_情况月统计对象 zsyz_qktj
 * 
 * @author ruoyi
 * @date 2023-03-10
 */
public class ZsyzQktj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String deptName;

    /** 年 */
    @Excel(name = "年")
    private String year;

    /** 月 */
    @Excel(name = "月")
    private String month;

    /** 招商外出天数 */
    @Excel(name = "招商外出天数")
    private Long numberOutings;

    /** 对接客商次数 */
    @Excel(name = "对接客商次数")
    private Long numberDocking;

    /** 说明 */
    @Excel(name = "说明")
    private String details;

    /** 附件集合 */
    private List<ZsyzFj> zsyzFjList;

    public List<ZsyzFj> getZsyzFjList() {
        return zsyzFjList;
    }

    public void setZsyzFjList(List<ZsyzFj> zsyzFjList) {
        this.zsyzFjList = zsyzFjList;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setMonth(String month) 
    {
        this.month = month;
    }

    public String getMonth() 
    {
        return month;
    }
    public void setNumberOutings(Long numberOutings)
    {
        this.numberOutings = numberOutings;
    }

    public Long getNumberOutings()
    {
        return numberOutings;
    }
    public void setNumberDocking(Long numberDocking)
    {
        this.numberDocking = numberDocking;
    }

    public Long getNumberDocking()
    {
        return numberDocking;
    }
    public void setDetails(String details) 
    {
        this.details = details;
    }

    public String getDetails() 
    {
        return details;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("year", getYear())
            .append("month", getMonth())
            .append("numberOutings", getNumberOutings())
            .append("numberDocking", getNumberDocking())
            .append("details", getDetails())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
